Arch Remove/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/fr|Name=Arch Remove|Name/fr=Arch Soustraire|Workbenches=Arch|MenuLocation=Arch -> Remove|SeeAlso=Arch Ajout}}")
(Created page with "L'outil '''Supprimer''' 16px vous permet de faire 2 types d'opérations: * Supprimer une portion d'un objet '''Arch''', par exemple supprimer une bo...")
Line 3: Line 3:
==Description==
==Description==


L'outil '''Supprimer''' [[Image:Arch Remove.png|16px]] vous permet de faire 2 types d'opérations:
The Remove tools allows you to do 2 kinds of operations:

* Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the [[Arch Add]] example
* Supprimer une portion d'un objet '''Arch''', par exemple supprimer une boîte qui a été ajoutée à un [[Arch Wall/fr|mur]] [[File:Arch_Wall.png|16px]], comme dans l'exemple [[Arch Add/fr|Arch ajouter]] [[File:Arch_Add.png|16px]].
* Subtract a [[Part Module|shape]]-based object from an Arch component such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]
* Soustraire une [[Part Module/fr|forme (shape)]] d'un objet de base, à partir d'une composante '''Arch''' tel qu'un [[Arch Wall/fr|mur]] [[File:Arch_Wall.png|16px]] ou, une [[Arch Structure/fr|structure]] [[File:Arch_Structure.png|16px]].


[[Image:Arch Remove example.jpg|600px]]
[[Image:Arch Remove example.jpg|600px]]

Revision as of 08:56, 29 November 2013

Arch Soustraire

Emplacement du menu
Arch -> Remove
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Ajout

Description

L'outil Supprimer vous permet de faire 2 types d'opérations:

  • Supprimer une portion d'un objet Arch, par exemple supprimer une boîte qui a été ajoutée à un mur , comme dans l'exemple Arch ajouter .
  • Soustraire une forme (shape) d'un objet de base, à partir d'une composante Arch tel qu'un mur ou, une structure .

In the above image, a box is being subtracted from a wall

How to use

  1. Select a subcomponent inside an Arch object, or:
  2. Select object(s) to be subtracted, then the Arch component from which they must be subtracted (the arch component must be the last thing you selected)
  3. Press the Remove button

Scripting

The Remove tool can by used in macros and from the python console by using the following function:

removeComponents (objectsList,[hostObject])
  • removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.

Example:

 import FreeCAD, Arch, Draft, Part
 line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
 wall = Arch.makeWall(line)
 box = Part.makeBox(1,1,1)
 Arch.addComponents(box,wall)
 Arch.removeComponents(box)